Subject: IAB Seeks Feedback on IETF Appointment to the ICANN NomCom

From: IAB Executive Administrative Manager <[email-masked]>
Date: Wed, 14 Sep 2016 10:06:13 -0700

Dear colleagues,

The IAB (on behalf of the IETF) has been asked to supply a member to the 
2017 ICANN Nominating Committee (NomCom). Last year, Tim Wicinski did 
the job for the IETF community, and he is willing to serve again. 

The IAB would like to solicit comments from the community on the 
performance of Tim Wicinski on the ICANN NomCom.  We are interested in 
comments on what has gone well or badly over the past year.

Please send comments to iab-chair at iab.org and execd at iab.org.

We would appreciate receiving comments by Wednesday, September 28, as 
the IAB will begin the next steps in this appointment process shortly so 
that the ICANN NomCom member can attend the first formal meeting of the 
2017 NomCom in Hyderabad, India in November 2016.

Best regards,
Cindy Morgan
IAB Executive Administrative Manager